<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: emini/eminisolve.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="navpath"><a class="el" href="dir_087401d2fcfe0d344c8cee8acbcc7f48.html">emini</a>
  </div>
</div>
<div class="contents">
<h1>eminisolve.c File Reference</h1><code>#include &quot;<a class="el" href="emini_8h_source.html">emini.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="field_8h_source.html">field/field.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="eminisolve_8c_source.html">util/util.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="griddata_8h_source.html">griddata.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="magpario_8h_source.html">io/magpario.h</a>&quot;</code><br/>
<div class="dynheader">
Include dependency graph for eminisolve.c:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c__incl.png" border="0" usemap="#emini_2eminisolve_8c_map" alt=""/></div>
<map name="emini_2eminisolve_8c_map" id="emini_2eminisolve_8c">
<area shape="rect" id="node3" href="emini_8h.html" title="emini.h" alt="" coords="60,86,124,117"/><area shape="rect" id="node5" href="griddata_8h.html" title="griddata.h" alt="" coords="163,166,240,197"/><area shape="rect" id="node15" href="field_8h.html" title="field/field.h" alt="" coords="199,86,284,117"/><area shape="rect" id="node20" href="magpario_8h.html" title="io/magpario.h" alt="" coords="308,86,407,117"/></map>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c__dep__incl.png" border="0" usemap="#emini_2eminisolve_8cdep_map" alt=""/></div>
</div>

<p><a href="eminisolve_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="eminisolve_8c.html#a377e15c3c88d89126b722a1a3d76ec86">NEQUIL</a>&nbsp;&nbsp;&nbsp;5</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385">TaoEvalEnergyGrad</a> (TAO_APPLICATION taoapp, Vec X, double *f, Vec G, void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92">ConvTest</a> (TAO_SOLVER tao, void *cctx)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707">myTSCreateEmini</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="eminisolve_8c.html#a17d21e725c11c8a2fade9a2d83d98047">EminiSolve</a> (<a class="el" href="structGridData.html">GridData</a> *gdata)</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a377e15c3c88d89126b722a1a3d76ec86"></a><!-- doxytag: member="eminisolve.c::NEQUIL" ref="a377e15c3c88d89126b722a1a3d76ec86" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NEQUIL&nbsp;&nbsp;&nbsp;5</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a5eef315eb34f052b9e148bd70caaea92"></a><!-- doxytag: member="eminisolve.c::ConvTest" ref="a5eef315eb34f052b9e148bd70caaea92" args="(TAO_SOLVER tao, void *cctx)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int ConvTest </td>
          <td>(</td>
          <td class="paramtype">TAO_SOLVER&nbsp;</td>
          <td class="paramname"> <em>tao</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>cctx</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="eminisolve_8c_source.html#l00191">191</a> of file <a class="el" href="eminisolve_8c_source.html">eminisolve.c</a>.</p>

<p>References <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="griddata_8h_source.html#l00151">GridData::escale</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="eminisolve_8c.html#a377e15c3c88d89126b722a1a3d76ec86">NEQUIL</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="cart2sphere_8c_source.html#l00029">Sphere2Cart()</a>, <a class="el" href="griddata_8h_source.html#l00265">GridData::vequil</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_cgraph.png" border="0" usemap="#eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_cgraph_map" alt=""></div>
<map name="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_cgraph_map" id="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_cgraph">
<area shape="rect" id="node3" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="137,419,220,450"/><area shape="rect" id="node49" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="452,751,540,782"/><area shape="rect" id="node51" href="cart2sphere_8c.html#a2f8d6af80c328b771a233e4912be1835" title="Sphere2Cart" alt="" coords="132,911,225,942"/><area shape="rect" id="node53" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="143,858,215,889"/><area shape="rect" id="node78" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="295,645,364,675"/><area shape="rect" id="node5" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="307,245,352,275"/><area shape="rect" id="node7" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="465,5,527,35"/><area shape="rect" id="node11" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="461,58,531,89"/><area shape="rect" id="node25" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="461,138,531,169"/><area shape="rect" id="node29" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="459,405,533,435"/><area shape="rect" id="node35" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="457,245,535,275"/><area shape="rect" id="node47" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="461,298,531,329"/><area shape="rect" id="node9" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="648,5,733,35"/><area shape="rect" id="node13" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="644,58,737,89"/><area shape="rect" id="node15" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="839,131,905,162"/><area shape="rect" id="node17" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="972,431,1079,462"/><area shape="rect" id="node19" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="979,131,1072,162"/><area shape="rect" id="node21" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="825,297,919,327"/><area shape="rect" id="node27" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="644,111,737,142"/><area shape="rect" id="node31" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="640,431,741,462"/><area shape="rect" id="node37" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="656,165,725,195"/><area shape="rect" id="node39" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="656,218,725,249"/><area shape="rect" id="node41" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="656,271,725,302"/><area shape="rect" id="node43" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="656,325,725,355"/><area shape="rect" id="node45" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="640,378,741,409"/><area shape="rect" id="node55" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="280,858,379,889"/><area shape="rect" id="node66" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="284,1018,375,1049"/><area shape="rect" id="node74" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="275,1098,384,1129"/><area shape="rect" id="node57" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="441,911,551,942"/><area shape="rect" id="node59" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="463,965,529,995"/><area shape="rect" id="node62" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="451,805,541,835"/><area shape="rect" id="node64" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="451,858,541,889"/><area shape="rect" id="node68" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="449,1018,543,1049"/><area shape="rect" id="node72" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="441,1071,551,1102"/><area shape="rect" id="node70" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="647,1018,735,1049"/><area shape="rect" id="node76" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="433,1125,559,1155"/><area shape="rect" id="node80" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="459,645,533,675"/><area shape="rect" id="node84" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="461,698,531,729"/><area shape="rect" id="node93" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="457,538,535,569"/><area shape="rect" id="node107" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="453,591,539,622"/><area shape="rect" id="node82" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="608,645,773,675"/><area shape="rect" id="node86" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="647,698,735,729"/><area shape="rect" id="node88" href="axesrot_8c.html#a55381bb85270f2885891ae5fcfa61369" title="AxesRotation" alt="" coords="823,591,921,622"/><area shape="rect" id="node90" href="barycent_8c.html#ac3e1493d687d06e1258e781a9fdf5a90" title="barycent" alt="" coords="989,590,1061,621"/><area shape="rect" id="node95" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="643,538,739,569"/><area shape="rect" id="node97" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="643,485,739,515"/><area shape="rect" id="node100" href="bbox2_8c.html#a2460e21f8005742412b1ac06db34db6e" title="bbox2" alt="" coords="844,538,900,569"/><area shape="rect" id="node102" href="calAfe2sq_8c.html#aa06eabdea2e391822f9b4f13e5ffc35e" title="CalAfe2sq" alt="" coords="831,485,913,515"/><area shape="rect" id="node109" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="640,591,741,622"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_icgraph.png" border="0" usemap="#eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_icgraph_map" alt=""></div>
<map name="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_icgraph_map" id="eminisolve_8c_a5eef315eb34f052b9e148bd70caaea92_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="132,5,257,35"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="307,5,365,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="413,5,464,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a17d21e725c11c8a2fade9a2d83d98047"></a><!-- doxytag: member="eminisolve.c::EminiSolve" ref="a17d21e725c11c8a2fade9a2d83d98047" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int EminiSolve </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="eminisolve_8c_source.html#l00466">466</a> of file <a class="el" href="eminisolve_8c_source.html">eminisolve.c</a>.</p>

<p>References <a class="el" href="cart2sphere_8c_source.html#l00059">Cart2Sphere()</a>, <a class="el" href="griddata_8h_source.html#l00109">D_EPS</a>, <a class="el" href="distortvec_8c_source.html#l00029">DistortVec()</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00264">GridData::equil</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="griddata_8h_source.html#l00143">GridData::inp</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00126">my_daxpy</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, and <a class="el" href="main_8c_source.html#l00285">Solve()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_cgraph.png" border="0" usemap="#eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_cgraph_map" alt=""></div>
<map name="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_cgraph_map" id="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_cgraph">
<area shape="rect" id="node3" href="cart2sphere_8c.html#a519926eb0e8844daa1219a94521b9882" title="Cart2Sphere" alt="" coords="143,215,236,246"/><area shape="rect" id="node5" href="distortvec_8c.html#a8bf0a9f33e000474112d918b05b1b377" title="DistortVec" alt="" coords="148,269,231,299"/><area shape="rect" id="node7" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="167,322,212,353"/><area shape="rect" id="node48" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="479,749,572,779"/><area shape="rect" id="node62" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="481,1122,569,1153"/><area shape="rect" id="node64" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="153,829,225,859"/><area shape="rect" id="node86" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="155,585,224,615"/><area shape="rect" id="node9" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="309,9,371,39"/><area shape="rect" id="node13" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="305,135,375,166"/><area shape="rect" id="node24" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="305,215,375,246"/><area shape="rect" id="node28" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="303,69,377,99"/><area shape="rect" id="node34" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="301,322,379,353"/><area shape="rect" id="node46" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="305,375,375,406"/><area shape="rect" id="node11" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="483,5,568,35"/><area shape="rect" id="node15" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="479,111,572,142"/><area shape="rect" id="node17" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="671,189,737,219"/><area shape="rect" id="node19" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="809,163,916,194"/><area shape="rect" id="node21" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="657,85,751,115"/><area shape="rect" id="node26" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="479,165,572,195"/><area shape="rect" id="node30" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="475,58,576,89"/><area shape="rect" id="node36" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="491,271,560,302"/><area shape="rect" id="node38" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="491,325,560,355"/><area shape="rect" id="node40" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="491,378,560,409"/><area shape="rect" id="node42" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="491,431,560,462"/><area shape="rect" id="node44" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="475,218,576,249"/><area shape="rect" id="node50" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="660,749,748,779"/><area shape="rect" id="node52" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="808,749,917,779"/><area shape="rect" id="node54" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="804,802,921,833"/><area shape="rect" id="node56" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="805,855,920,886"/><area shape="rect" id="node58" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="801,642,924,673"/><area shape="rect" id="node60" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="801,695,924,726"/><area shape="rect" id="node66" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="291,989,389,1019"/><area shape="rect" id="node77" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="295,802,385,833"/><area shape="rect" id="node82" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="285,855,395,886"/><area shape="rect" id="node68" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="471,1069,580,1099"/><area shape="rect" id="node70" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="492,909,559,939"/><area shape="rect" id="node73" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="480,962,571,993"/><area shape="rect" id="node75" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="480,1015,571,1046"/><area shape="rect" id="node80" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="471,802,580,833"/><area shape="rect" id="node84" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="463,855,588,886"/><area shape="rect" id="node88" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="303,498,377,529"/><area shape="rect" id="node92" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="305,690,375,721"/><area shape="rect" id="node97" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="301,611,379,642"/><area shape="rect" id="node103" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="297,558,383,589"/><area shape="rect" id="node90" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="443,485,608,515"/><area shape="rect" id="node94" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="660,469,748,499"/><area shape="rect" id="node99" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="477,591,573,622"/><area shape="rect" id="node101" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="477,645,573,675"/><area shape="rect" id="node105" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="475,538,576,569"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_icgraph.png" border="0" usemap="#eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_icgraph_map" alt=""></div>
<map name="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_icgraph_map" id="eminisolve_8c_a17d21e725c11c8a2fade9a2d83d98047_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="141,5,200,35"/><area shape="rect" id="node7" href="main_8c.html#af91d94707b6b88920418dfb69be0e106" title="Solve" alt="" coords="144,58,197,89"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="248,31,299,62"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="a7be0557728f95ef22f1ba7f2b99b5707"></a><!-- doxytag: member="eminisolve.c::myTSCreateEmini" ref="a7be0557728f95ef22f1ba7f2b99b5707" args="(GridData *gdata)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int myTSCreateEmini </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structGridData.html">GridData</a> *&nbsp;</td>
          <td class="paramname"> <em>gdata</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="eminisolve_8c_source.html#l00306">306</a> of file <a class="el" href="eminisolve_8c_source.html">eminisolve.c</a>.</p>

<p>References <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00075">MagparFunctionLogBegin</a>, <a class="el" href="griddata_8h_source.html#l00076">MagparFunctionLogReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00164">GridData::n_vert</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="griddata_8h_source.html#l00145">GridData::time</a>, and <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>.</p>

<p>Referenced by <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_cgraph.png" border="0" usemap="#eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_cgraph_map" alt=""></div>
<map name="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_cgraph_map" id="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_cgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a5eef315eb34f052b9e148bd70caaea92" title="ConvTest" alt="" coords="211,554,288,585"/><area shape="rect" id="node97" href="eminisolve_8c.html#afdcb9097ab9ba289da2189a2ce6b9385" title="TaoEvalEnergyGrad" alt="" coords="181,474,317,505"/><area shape="rect" id="node5" href="calc__dMdt_8c.html#aa814b25d7c7a65198ca75426fb6d7403" title="calc_dMdt" alt="" coords="381,527,464,558"/><area shape="rect" id="node37" href="renormvec_8c.html#abba3d002260d6e3e062ac69a80300aa4" title="RenormVec" alt="" coords="724,1007,812,1038"/><area shape="rect" id="node39" href="cart2sphere_8c.html#a2f8d6af80c328b771a233e4912be1835" title="Sphere2Cart" alt="" coords="376,474,469,505"/><area shape="rect" id="node41" href="magpario_8h.html#ad970cf1663bac1ede525a5caf43750fd" title="WriteLog" alt="" coords="387,807,459,838"/><area shape="rect" id="node76" href="magpario_8h.html#a7ff05d6bfdfc02445d6245fec57f686e" title="WriteSet" alt="" coords="388,581,457,611"/><area shape="rect" id="node7" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="560,219,605,250"/><area shape="rect" id="node9" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="737,314,799,345"/><area shape="rect" id="node13" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="733,367,803,398"/><area shape="rect" id="node17" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="733,63,803,94"/><area shape="rect" id="node21" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="731,117,805,147"/><area shape="rect" id="node25" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="729,175,807,206"/><area shape="rect" id="node35" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="733,239,803,270"/><area shape="rect" id="node11" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="907,325,992,355"/><area shape="rect" id="node15" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="903,378,996,409"/><area shape="rect" id="node19" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="903,5,996,35"/><area shape="rect" id="node23" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="899,58,1000,89"/><area shape="rect" id="node27" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="915,271,984,302"/><area shape="rect" id="node29" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="915,111,984,142"/><area shape="rect" id="node31" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="915,165,984,195"/><area shape="rect" id="node33" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="915,218,984,249"/><area shape="rect" id="node43" href="writelog_8c.html#a54c21359e5dbade333f4c1ac856a3ffb" title="WriteLogData" alt="" coords="533,874,632,905"/><area shape="rect" id="node54" href="magpario_8h.html#aa63307197e81d27990850ea179eb5187" title="WriteLogPid" alt="" coords="537,741,628,771"/><area shape="rect" id="node72" href="writelog__pvode_8c.html#afc3aa13e4e04c3b501cf220d4cc1e3ee" title="WriteLogPVode" alt="" coords="528,941,637,971"/><area shape="rect" id="node45" href="field_8h.html#a48d0086e7ff33076be493f9379c45069" title="Hexternal_hext" alt="" coords="713,954,823,985"/><area shape="rect" id="node47" href="field_8h.html#aacac4af746c003dbd608d662ca2272e2" title="MpHext" alt="" coords="735,794,801,825"/><area shape="rect" id="node50" href="magpario_8h.html#acf315ef77c9cda0a419e75748c5ad9a8" title="Vec3VolAvg" alt="" coords="723,847,813,878"/><area shape="rect" id="node52" href="writelog_8c.html#aa4b9c3d7fa8f610a0ae44ca0551f03ad" title="WriteLogInit" alt="" coords="723,901,813,931"/><area shape="rect" id="node56" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="721,687,815,718"/><area shape="rect" id="node70" href="writelog__pid_8c.html#afead37ceb35d036cf38fc7a8ebe4805f" title="WriteLogPidInit" alt="" coords="713,741,823,771"/><area shape="rect" id="node58" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="905,687,993,718"/><area shape="rect" id="node60" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="1056,581,1165,611"/><area shape="rect" id="node62" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="1052,634,1169,665"/><area shape="rect" id="node64" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="1053,687,1168,718"/><area shape="rect" id="node66" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="1049,741,1172,771"/><area shape="rect" id="node68" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="1049,794,1172,825"/><area shape="rect" id="node74" href="writelog__pvode_8c.html#a3e2b0c2d1553ae99499b4d70f14bba10" title="WriteLogPVodeInit" alt="" coords="705,1061,831,1091"/><area shape="rect" id="node78" href="magpario_8h.html#a617c029487285a8f6077f0397c386342" title="WriteAVS" alt="" coords="545,581,620,611"/><area shape="rect" id="node82" href="magpario_8h.html#a8a2136d4b7b21ac2719c65356c713cbb" title="WriteDat" alt="" coords="548,634,617,665"/><area shape="rect" id="node86" href="writedatapng_8c.html#a629c0cdcd1b586d1645c533c397e0456" title="WritePNG" alt="" coords="544,527,621,558"/><area shape="rect" id="node92" href="writedatapng2_8c.html#aaa844719c96178cd07f858c1192c7341" title="WritePNG2" alt="" coords="540,474,625,505"/><area shape="rect" id="node80" href="syncffprintf_8c.html#ad822d6c23d995cdca14184e56d559423" title="SynchronizedFastFPrintf" alt="" coords="685,581,851,611"/><area shape="rect" id="node84" href="writedatadat_8c.html#a27c977d96cd920cf08c4c10eb3565f10" title="WriteDatInit" alt="" coords="724,634,812,665"/><area shape="rect" id="node88" href="writepng_8c.html#a7770d19aebe21e0a423fd40781030bcb" title="WritePNGfile" alt="" coords="720,474,816,505"/><area shape="rect" id="node90" href="writedatapng_8c.html#a3f07c3a3f70ce2f4d84f69022cccf680" title="WritePNGinit" alt="" coords="720,527,816,558"/><area shape="rect" id="node94" href="writedatapng2_8c.html#a916a4d7d0d8aec0eac742e8f8bb41a93" title="WritePNG2init" alt="" coords="717,421,819,451"/><area shape="rect" id="node99" href="cart2sphere_8c.html#aac1a7d4f53770aebf3759a36a9d384b6" title="Cart2SphereDiff" alt="" coords="365,421,480,451"/><area shape="rect" id="node102" href="field_8h.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="372,246,473,277"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_icgraph.png" border="0" usemap="#eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_icgraph_map" alt=""></div>
<map name="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_icgraph_map" id="eminisolve_8c_a7be0557728f95ef22f1ba7f2b99b5707_icgraph">
<area shape="rect" id="node3" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="181,5,240,35"/><area shape="rect" id="node5" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="288,5,339,35"/></map>
</div>
</p>

</div>
</div>
<a class="anchor" id="afdcb9097ab9ba289da2189a2ce6b9385"></a><!-- doxytag: member="eminisolve.c::TaoEvalEnergyGrad" ref="afdcb9097ab9ba289da2189a2ce6b9385" args="(TAO_APPLICATION taoapp, Vec X, double *f, Vec G, void *ptr)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int TaoEvalEnergyGrad </td>
          <td>(</td>
          <td class="paramtype">TAO_APPLICATION&nbsp;</td>
          <td class="paramname"> <em>taoapp</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>X</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">double *&nbsp;</td>
          <td class="paramname"> <em>f</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Vec&nbsp;</td>
          <td class="paramname"> <em>G</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>ptr</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="eminisolve_8c_source.html#l00076">76</a> of file <a class="el" href="eminisolve_8c_source.html">eminisolve.c</a>.</p>

<p>References <a class="el" href="cart2sphere_8c_source.html#l00092">Cart2SphereDiff()</a>, <a class="el" href="griddata_8h_source.html#l00131">douter</a>, <a class="el" href="griddata_8h_source.html#l00260">GridData::Etot</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="griddata_8h_source.html#l00171">GridData::ln_vert</a>, <a class="el" href="griddata_8h_source.html#l00247">GridData::M</a>, <a class="el" href="griddata_8h_source.html#l00082">MagparFunctionInfoBegin</a>, <a class="el" href="griddata_8h_source.html#l00084">MagparFunctionProfReturn</a>, <a class="el" href="griddata_8h_source.html#l00147">GridData::mode</a>, <a class="el" href="griddata_8h_source.html#l00129">my_dscal</a>, <a class="el" href="griddata_8h_source.html#l00093">ND</a>, <a class="el" href="griddata_8h_source.html#l00097">NP</a>, <a class="el" href="griddata_8h_source.html#l00221">GridData::propdat</a>, <a class="el" href="cart2sphere_8c_source.html#l00029">Sphere2Cart()</a>, <a class="el" href="griddata_8h_source.html#l00182">GridData::vertprop</a>, <a class="el" href="griddata_8h_source.html#l00259">GridData::VHtot</a>, and <a class="el" href="griddata_8h_source.html#l00249">GridData::VMs3</a>.</p>

<p>Referenced by <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>.</p>

<p><div class="dynheader">
Here is the call graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_cgraph.png" border="0" usemap="#eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_cgraph_map" alt=""></div>
<map name="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_cgraph_map" id="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_cgraph">
<area shape="rect" id="node3" href="cart2sphere_8c.html#aac1a7d4f53770aebf3759a36a9d384b6" title="Cart2SphereDiff" alt="" coords="189,337,304,367"/><area shape="rect" id="node5" href="field_8h.html#a09d3a5bbcb3e65c1e4c7e22818377b13" title="Htot_Energy" alt="" coords="200,390,293,421"/><area shape="rect" id="node19" href="field_8h.html#a270a74fb6c65379e026cfb5c4de11443" title="Htot_Gradient" alt="" coords="196,443,297,474"/><area shape="rect" id="node112" href="cart2sphere_8c.html#a2f8d6af80c328b771a233e4912be1835" title="Sphere2Cart" alt="" coords="200,497,293,527"/><area shape="rect" id="node7" href="htot_8c.html#a8ad42d15c17241a1313243ebd0d0ab11" title="CalcEnergy" alt="" coords="352,167,440,198"/><area shape="rect" id="node9" href="field_8h.html#aea497be5e9a188c3f1627b6692951515" title="Hcubic_Energy" alt="" coords="496,194,605,225"/><area shape="rect" id="node11" href="field_8h.html#aed83146289258f6f29a808dc50853f65" title="Hdemag_Energy" alt="" coords="492,247,609,278"/><area shape="rect" id="node13" href="field_8h.html#a67380d67fc85c798265c8a83d73f5388" title="Helastic_Energy" alt="" coords="493,34,608,65"/><area shape="rect" id="node15" href="field_8h.html#a733ba0411bb628270a030775416d902a" title="Hexchani_Energy" alt="" coords="489,87,612,118"/><area shape="rect" id="node17" href="field_8h.html#abab705ab0b3df8ea71709f470033aee2" title="Hexternal_Energy" alt="" coords="489,141,612,171"/><area shape="rect" id="node21" href="field_8h.html#ace2ad4bc212a40902a58d3bfdaa0518a" title="Hcubic" alt="" coords="520,518,581,549"/><area shape="rect" id="node25" href="field_8h.html#a8e779a08a066fda9160df1a7e5102a58" title="Hdemag" alt="" coords="516,571,585,602"/><area shape="rect" id="node56" href="field_8h.html#a97e3d5671797656fb91afa5e61778e74" title="Helastic" alt="" coords="516,411,585,442"/><area shape="rect" id="node62" href="field_8h.html#ab3c152ad4a30f46fd55fff971a53d2ae" title="Hexchani" alt="" coords="513,625,588,655"/><area shape="rect" id="node69" href="field_8h.html#aeaf153862ea87b88e30bee559bf1d481" title="Hexternal" alt="" coords="512,301,589,331"/><area shape="rect" id="node102" href="field_8h.html#ab9d30ce64708afeca163280386deb654" title="Htot" alt="" coords="373,469,419,499"/><area shape="rect" id="node109" href="htot_8c.html#a85ee39fe66d72226d10cb331fda60cd1" title="Htot_Init" alt="" coords="516,465,585,495"/><area shape="rect" id="node23" href="hcubic_8c.html#a01373c5662322678c71a3420ab8b0790" title="Hcubic_Init" alt="" coords="671,518,756,549"/><area shape="rect" id="node27" href="hdemag_8c.html#a550cd909b1c224ef8c259dd68298e50a" title="Hdemag_Init" alt="" coords="667,585,760,615"/><area shape="rect" id="node29" href="bmatrix_8c.html#a02081555af5c4ef64cc4674f52b4d446" title="BMatrix" alt="" coords="841,535,908,566"/><area shape="rect" id="node35" href="printmatinfo_8c.html#a8c62a6053be02438e1bf2da1efa06f1f" title="PrintMatInfoAll" alt="" coords="999,585,1105,615"/><area shape="rect" id="node42" href="progressbar_8c.html#afac4bb91f0e22a14a209a0f60113654d" title="ProgressBar" alt="" coords="1005,478,1099,509"/><area shape="rect" id="node46" href="mesh2dual_8c.html#abb99aec57817a85ad1c4c2552f695434" title="Mesh2Nodal" alt="" coords="828,743,921,774"/><area shape="rect" id="node52" href="elevertvol_8c.html#add57a81e67724a47fc306e81ccec2a5e" title="tetgrad" alt="" coords="844,690,905,721"/><area shape="rect" id="node31" href="bele_8c.html#affb52b9f2b0f2fd0d97c0519704464c8" title="Bele" alt="" coords="1028,638,1076,669"/><area shape="rect" id="node44" href="bmatrix_8c.html#a6ef9ef50f16bc7123b3585a730fa9afa" title="VertBSA" alt="" coords="1016,531,1088,562"/><area shape="rect" id="node33" href="solidangle_8c.html#a11f1b219c8bea88b0d4efaa49d9e109e" title="PointFromPlane" alt="" coords="1169,638,1281,669"/><area shape="rect" id="node37" href="namespacegmshtoucd.html#af68c1546c900f7a17a20835183320d61" title="gmshtoucd::info" alt="" coords="1331,561,1445,591"/><area shape="rect" id="node39" href="printmatinfo_8c.html#ad26766c91dfc88c559fd736d1bb6e064" title="PrintMatInfo" alt="" coords="1179,534,1272,565"/><area shape="rect" id="node48" href="mesh2dual_8c.html#a194ba29523e593289f63c3071c31a34b" title="Mesh2VertEle" alt="" coords="1001,745,1103,775"/><area shape="rect" id="node54" href="init_8h.html#ad362da888961433eb994e6a5bc0c818d" title="tetvol" alt="" coords="1025,691,1079,722"/><area shape="rect" id="node58" href="helastic_8c.html#a396340125882d5038a4dbdadc4468699" title="Helastic_Init" alt="" coords="667,427,760,458"/><area shape="rect" id="node60" href="helastic_8c.html#af12c767230bdb7467dd25210d5fefe50" title="ReadProp" alt="" coords="836,431,913,462"/><area shape="rect" id="node64" href="hexch__ani_8c.html#a9db4f6f0ac5776543bcd4f802226942e" title="Hexchani_Init" alt="" coords="663,639,764,670"/><area shape="rect" id="node71" href="field_8h.html#a2866a2d9dd35b17789e06b1b79ab72cc" title="Hext_cu" alt="" coords="679,271,748,302"/><area shape="rect" id="node75" href="field_8h.html#aeb00096e7649b4910f8fa67dc6f27401" title="Hext_ho" alt="" coords="679,165,748,195"/><area shape="rect" id="node89" href="field_8h.html#a30cb382d2ba1eb8b00264cf43ce43e05" title="Hext_kq" alt="" coords="679,218,748,249"/><area shape="rect" id="node93" href="field_8h.html#a66aec7a3ca42c0059d2b330ca937a555" title="Hext_py" alt="" coords="679,325,748,355"/><area shape="rect" id="node100" href="hexternal_8c.html#a3459c1707cc058f462cb730e78809f17" title="Hexternal_Init" alt="" coords="663,111,764,142"/><area shape="rect" id="node73" href="hext__cu_8c.html#ad490e336bf2582884e7e3191bd37891a" title="Hext_cu_Init" alt="" coords="828,271,921,302"/><area shape="rect" id="node77" href="ipol_8c.html#a3e2699b016b84132ec08d3795b951dd9" title="getscalf" alt="" coords="841,165,908,195"/><area shape="rect" id="node79" href="field_8h.html#a2e1ef17932652e8d616587011fb09c63" title="Hext_ho_hsweep" alt="" coords="815,5,935,35"/><area shape="rect" id="node81" href="hext__ho_8c.html#aa7f4b51477b5dcd5afd1f4b73ffde571" title="Hext_ho_Init" alt="" coords="828,111,921,142"/><area shape="rect" id="node87" href="util_8h.html#aa88f92d349ee3335807573e6ff373963" title="VecSetVec" alt="" coords="832,58,917,89"/><area shape="rect" id="node83" href="hext__ho_8c.html#aed1404d744513b58ba58166a487dcbdf" title="Hext_ho_hstep_Init" alt="" coords="985,85,1119,115"/><area shape="rect" id="node85" href="hext__ho_8c.html#ad61d58b7779a7d182a09c9becae36af1" title="Hext_ho_ht_Init" alt="" coords="996,138,1108,169"/><area shape="rect" id="node91" href="hext__kq_8c.html#aac24a1f9bfe67ce4a008a31375cb1d01" title="Hext_kq_Init" alt="" coords="828,218,921,249"/><area shape="rect" id="node95" href="hext__py_8c.html#a9570f5d09accfa97e676f862b1acb592" title="hext_f" alt="" coords="845,325,904,355"/><area shape="rect" id="node97" href="hext__py_8c.html#a53aac86dc06657ac5dc89f8f21bd4a70" title="Hext_py_Init" alt="" coords="828,378,921,409"/></map>
</div>
</p>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dynsection">
<div class="center"><img src="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_icgraph.png" border="0" usemap="#eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_icgraph_map" alt=""></div>
<map name="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_icgraph_map" id="eminisolve_8c_afdcb9097ab9ba289da2189a2ce6b9385_icgraph">
<area shape="rect" id="node3" href="eminisolve_8c.html#a7be0557728f95ef22f1ba7f2b99b5707" title="myTSCreateEmini" alt="" coords="191,5,316,35"/><area shape="rect" id="node5" href="parinit_8c.html#aab78598aa0d3ece1097d988997f0aea3" title="ParInit" alt="" coords="365,5,424,35"/><area shape="rect" id="node7" href="main_8c.html#a7a29781a20c5dd4153c3c1cecf0ff328" title="main" alt="" coords="472,5,523,35"/></map>
</div>
</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

